Subject: Re: bug#73441: 31.0.50; Unstable proced-refine-test failure

From: Laurence Warne <[email-masked]>
Date: Sat, 9 Nov 2024 14:17:52 +0000

Hi Michael,

How strange, AFAICS the attribute values Proced uses are straight from
'process-attributes' so perhaps the issue is there? - we could add
'(process-attributes pid)' to the ert explainer to confirm it.

On the other hand, I don't see any harm in checking for degenerate values
like -nan in 'proced-<' (the doc of 'process-attributes' doesn't appear to
mention nan, not sure about the internals of that function but it doesn't
look like a legal value to me)?

Thanks, Laurence